Package com.sas.services.information.metadata

# Interface AccessControlTemplateInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

public interface AccessControlTemplateInterface extends MetadataInterface
This is the interface for an AccessControlTemplate object. It doesn't provide methods for updating the template because that should ideally be done through the ISecurity interfaces, and not by direct manipulation of metadata. If someone can present a compelling need to update the template directly, I'll add the methods.

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List`
  `getAccessControlItems()`
  Get the access control items for this template.
  `AuthorizationBaseInterface`
  `getAuthorizationDefinitionUtil()`
  Obtain the AuthorizationUtil Interface for this object
  `List`
  `getObjects()`
  Get the list of objects that this template protects.
  `String`
  `getUse()`
  Get the use string.
  `void`
  `setUse(String use)`
  Set the use String.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getUse

    String getUse() throws ServiceException, RemoteException
    Get the use string. According to the documentation, this is: a symbolic flag indicating a special use for this particular ACT.
    Returns:
      The use string.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setUse

    void setUse(String use) throws ServiceException, RemoteException
    Set the use String. According to the documentation, this is: a symbolic flag indicating a special use for this particular ACT.
    Parameters:
      `use` - The use new String.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getAccessControlItems

    List getAccessControlItems() throws ServiceException, RemoteException
    Get the access control items for this template. This should be a List a AccessControlEntry and AccessControlTemplate objects.
    Returns:
      The template's access control items.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getObjects

    List getObjects() throws ServiceException, RemoteException
    Get the list of objects that this template protects.
    Returns:
      The list of objects protected by this template.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getAuthorizationDefinitionUtil

    AuthorizationBaseInterface getAuthorizationDefinitionUtil() throws ServiceException, RemoteException
    Obtain the AuthorizationUtil Interface for this object
    Returns:
      an AuthorizationUtilInterface
    Throws:
      `ServiceException` - If a metadata server error occurs.
      `RemoteException` - In the event of remote object failure.